<?php

class WidgetsManager extends DataObject {

	public static $db = array(
		"Title" => "Varchar(255)",
	);

	static $has_one = array();

	static $searchable_fields = array(
      'Title',
	);


	static $defaults = array(
		"ShowInMenus" => 0,
		"ShowInSearch" => 0
	);


	function getCMSFields() {
		$fields = new FieldSet(
		new TextField("Title", $this->fieldLabel('Title')),
		new WidgetAreaEditor("WidgetArea")
		);

		return $fields;
	}

	function fieldLabels($includerelations = true) {
		$labels = parent::fieldLabels($includerelations);

		$labels['Title'] = _t('WidgetsManager.LABEL_TITLE', "Widgets manager name");


		return $labels;
	}

	/**
	 * When the Articles module is first installed, and db/build
	 * is invoked, create some default records in the database.
	 */
	function requireDefaultRecords() {
		parent::requireDefaultRecords();
		if(!DataObject::get_one('WidgetsManager')) {
			$holder = new WidgetsManager();
			$holder->Title = _t('WidgetsManager.DEFAULT_TITLE', 'Widgets Manager');
			$holder->write();
			Database::alteration_message('Default Widgets manager created', 'created');
		}
	}
}

?>